Subject: bug#70632: closed (Re: [bug#70632] [PATCH 1/2] aux-files: comp-integrity: Adjust for newer emacs.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Jul 2024 06:38:02 +0000

Your bug report

#70632: [PATCH 1/2] aux-files: comp-integrity: Adjust for newer emacs.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70632: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70632
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70632] [PATCH 1/2] aux-files: comp-integrity: Adjust for newer emacs.
From: Liliana Marie Prikler <[email-masked]>
To: Morgan Smith <[email-masked]>
Cc: Katherine Cox-Buday <[email-masked]>, Andrew Tropin <[email-masked]>, [email-masked]
Date: Sun, 07 Jul 2024 08:36:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mittwoch, dem 08.05.2024 um 14:48 -0400 schrieb Morgan Smith:
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Am Mittwoch, dem 01.05.2024 um 16:06 -0400 schrieb Morgan Smith:
> > TL;DR: If we do a new file or a phase, we only rebuild emacs-next. 
> > If we modify the file in-place, we rebuild emacs, because it uses
> > it.  Between a phase and a new file, a new file is preferable,
> > because we can then 'mv' it over the old one.
> 
> I apologize.  In my mind we where talking about two different changes
> at the same time.  A change to emacs-next right now, and a change
> that would rebuild all of emacs but live on a branch for now.
> 
> I still think that's the optimal route.  Apply the phase patch right
> now to main, and then the file modification to some branch.
I've recently pushed an update to master that has a new integrity check
for emacs-next; using emacs-next intrinsics rather than going through
help-fns.

Thus marking this as done.

> On a related note, I do have two changes I'd like to make when we
> rebuild all of emacs.  I've attached the changes to this mail despite
> it not being quite the right place to send them.  Also I didn't
> actually test them because I don't really want to rebuild all of that
> myself.
Sorry for the late review on those, but you might want to revisit them
and send them as a new patch series.

> +          (message "Compiling `%s'")
That doesn't look right.

> [PATCH 1/2] build-system/emacs: Allow usage of
>  #:{allowed/disallowed}-references key
> 
> * guix/build-system/emacs.scm (emacs-build): Pass #:allowed-
> references and
> 
> Change-Id: Ib9a35a7b2115365b96675fb7ca3914b0ae7e67c7
> #:disallowed-references keys to builder.
The references are actually being ignored here.

Cheers

Subject: [PATCH 1/2] aux-files: comp-integrity: Adjust for newer emacs.
From: Morgan Smith <[email-masked]>
To: [email-masked]
Cc: Morgan Smith <[email-masked]>
Date: Sun, 28 Apr 2024 13:07:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/aux-files/emacs/comp-integrity.el (expect-help): Update with
new terms for function descriptions.  Also return the description instead of
'nil' on failure to aid in debugging.

Change-Id: I63a3644c91dd7817a72ab11ae87ec4fc8fdb2c1b
---

Hello!

Trying to build the latest Emacs from source fails because they changed the
names of this stuff.  I was able to successfully build the latest Emacs with this patch.

Thanks,

Morgan

 gnu/packages/aux-files/emacs/comp-integrity.el | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/aux-files/emacs/comp-integrity.el b/gnu/packages/aux-files/emacs/comp-integrity.el
index abe7e7c0c9..d969f58622 100644
--- a/gnu/packages/aux-files/emacs/comp-integrity.el
+++ b/gnu/packages/aux-files/emacs/comp-integrity.el
@@ -16,10 +16,16 @@
                 (let ((desc (substring-no-properties
                              (with-output-to-string
                                (help-fns-function-description-header ',fun)))))
-                  (cond ((string-search "native-compiled" desc) 'native)
-                        ((string-search "byte-compiled" desc) 'byte)
-                        ((string-search "built-in" desc) 'built-in)
-                        (t nil))))))))
+                  (cond ((or (string-search "native-compiled" desc) ;; Emacs <= 29
+                             (string-search "subr-native-elisp" desc)) ;; Emacs >= 30
+                         'native)
+                        ((or (string-search "byte-compiled" desc) ;; Emacs <= 29
+                             (string-search "compiled-function" desc)) ;; Emacs >= 30
+                         'byte)
+                        ((or (string-search "built-in" desc) ;; Emacs <= 29
+                             (string-search "primitive-function" desc)) ;; Emacs >= 30
+                         'built-in)
+                        (t desc))))))))
 
   (defmacro expect-native (fun &optional feature)
     `(progn (expect-help ,fun native ,feature)))

base-commit: 9f183c3627a006e8fd3bb9708448bc05a6204e6d
-- 
2.41.0